Package: ruby-fssm / 0.2.10-3

Metadata

Package Version Patches format
ruby-fssm 0.2.10-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
remove_rubygems_bundler_stuff_from_spec.patch | (download)

spec/spec_helper.rb | 10 5 + 5 - 0 !
1 file changed, 5 insertions(+), 5 deletions(-)

 remove bundler/rubygems require statement from the specs
 These are not needed since all the libraries are in Debian
remove_load_path_manipulations.patch | (download)

lib/fssm.rb | 3 0 + 3 - 0 !
1 file changed, 3 deletions(-)

 avoid $load_path manipulations in lib/fssm.rb
modify_example_rb.patch | (download)

example.rb | 9 5 + 4 - 0 !
1 file changed, 5 insertions(+), 4 deletions(-)

 modify slightly the example to avoid requirement on rubygems
fix_rspec_to_be_false_method.patch | (download)

spec/monitor_spec.rb | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix tests for both ruby 2.2 and 2.3
 In order to fix the tests for both ruby versions, it was necessary
 to change the be_false method to the new convention of rspec, named
 to_falsey